Bug 7738 - "Display more constraints" in subfield configuraton is not properly translatable
Summary: "Display more constraints" in subfield configuraton is not properly translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 13:58 UTC by Katrin Fischer
Modified: 2013-12-05 19:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7738: "Display more constraints' in subfield configuraiton is not properly translatable (2.59 KB, patch)
2012-03-19 15:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7738: "Display more constraints' in subfield configuraiton is not properly translatable (2.51 KB, patch)
2012-03-21 15:28 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-03-19 13:58:42 UTC
This again was reported on the wiki (http://wiki.koha-community.org/wiki/Yet_not_translatable_string).

When you configure a subfield in the bibliographic marc frameworks the "Display more contraints" has some translation problems.

1) After the page was loaded, it will appear translated.
2) Clicking on the link will make the additional constraints show, but untranslates the link.
3) Clicking on it again will hide the options, but the link remains untranslated.

Additionally, the labels for 'hide' and 'display' are switched.
Tested with de-DE on current master.
Comment 1 Katrin Fischer 2012-03-19 15:09:41 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-03-21 15:28:29 UTC
Created attachment 8435 [details] [review]
[SIGNED-OFF] Bug 7738: "Display more constraints' in subfield configuraiton is not properly translatable

The Javascript toggling the link description was checking for the english
link text. This would not work for translated templates.

Tested: Apply patch, then translate update and translate install.
Text changes as appropriate (with manually inserted translation in .po file)

Signed-off-by: mveron <veron@veron.ch>
Comment 3 Ian Walls 2012-03-21 20:32:05 UTC
Template only change for translatability.  Marking Passed QA
Comment 4 Paul Poulain 2012-03-22 08:05:00 UTC
This patch also fix tab indentation, great job !
Comment 5 Owen Leonard 2012-03-22 08:19:26 UTC
Translations still need to be updated, but this looks like it's working correctly now.
Comment 6 Jared Camins-Esakov 2012-05-09 20:04:30 UTC
This bug will be included in the Koha 3.6.5 release.